Đến nội dung


Hình ảnh

<Nhờ Giúp Đỡ> Chọn Đối Tượng Theo Trục X Hoặc Trục Y


  • Please log in to reply
6 replies to this topic

#1 bqtuanks

bqtuanks

    biết zoom

  • Members
  • Pip
  • 13 Bài viết
Điểm đánh giá: -5 (bình thường)

Đã gửi 18 September 2015 - 09:16 PM

Chào các bác. Em muốn xóa các đối tượng (gồm text hoặc line) theo phương trục X hoặc trục Y em đã dùng text alignment x trong quick select để chọn mà sau khi gõ lệnh xong thì là chọn toàn bộ đối tượng chứ không chọn đối tượng theo trục . Các bác có cách nào chọn đối tượng theo trục không cho em biết với ? Cảm ơn các bác nhiều.


  • -1

#2 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5448 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 18 September 2015 - 09:47 PM

Thế nào là các đối tượng theo phương trục X/Y?


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#3 bqtuanks

bqtuanks

    biết zoom

  • Members
  • Pip
  • 13 Bài viết
Điểm đánh giá: -5 (bình thường)

Đã gửi 18 September 2015 - 10:28 PM

Thế nào là các đối tượng theo phương trục X/Y?

Như thế này bạn ạ. Mình muốn xóa các đối tượng theo các dòng 2 và 3 như bản vẽ đính kèm. Thì có cách nào để xóa không ? Mình xem properties thì thấy các đối tượng text ở dòng 3 cùng Text Alignment Y = 125.3115 . và các line dọc ở dòng 2 có cùng start y và end y. Như thế mình có thể lọc các text có cùng tính chất như thế ra để xóa cho nhanh được không ? http://www.cadviet.c..._trac_ngang.dwg

Cảm ơn bạn


  • 0

#4 quocmanh04tt

quocmanh04tt

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 673 Bài viết
Điểm đánh giá: 314 (khá)

Đã gửi 18 September 2015 - 11:45 PM

Bạn thử cái này xem:
(defun c:test (/ ss mau y10 y11)
(if (setq mau (car (entsel "\nChon Text, Line mau: ")))
(progn (setq y10 (cadr (cdr (assoc 10 (entget mau))))
y11 (cadr (cdr (assoc 11 (entget mau)))))
(setq ss (ssget "_X"
(list (cons 0 "TEXT,LINE")
(cons -4 "<AND")
(cons -4 "*,=,*")
(cons 10 (list 0.0 y10 0.0))
(cons -4 "*,=,*")
(cons 11 (list 0.0 y11 0.0))
(cons -4 "AND>"))))
(command "erase" ss "")))
(princ))

  • 0

#5 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 19 September 2015 - 09:18 AM

Như thế này bạn ạ. Mình muốn xóa các đối tượng theo các dòng 2 và 3 như bản vẽ đính kèm. Thì có cách nào để xóa không ? Mình xem properties thì thấy các đối tượng text ở dòng 3 cùng Text Alignment Y = 125.3115 . và các line dọc ở dòng 2 có cùng start y và end y. Như thế mình có thể lọc các text có cùng tính chất như thế ra để xóa cho nhanh được không ? http://www.cadviet.c..._trac_ngang.dwg

Cảm ơn bạn

 

Có thể dùng filter 

Ví dụ Chọn các Text ở dòng 2 và dòng 3 trong bản vẽ :

4652_filter.png


  • 0

#6 bqtuanks

bqtuanks

    biết zoom

  • Members
  • Pip
  • 13 Bài viết
Điểm đánh giá: -5 (bình thường)

Đã gửi 20 September 2015 - 09:04 AM

Cảm ơn các bác nhiều :D :)


  • 0

#7 goodbye444

goodbye444

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 21 September 2015 - 12:30 AM

mọi người cho e hỏi cái này có hổ trợ đồ họa không vậy?


  • 0